Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class TotalsPerBankTransactionCode3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.TotalsPerBankTransactionCode3

public class TotalsPerBankTransactionCode3 extends Object

Java class for TotalsPerBankTransactionCode3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TotalsPerBankTransactionCode3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NbOfNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max15NumericText" minOccurs="0"/>
             <element name="Sum" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}DecimalNumber" minOccurs="0"/>
             <element name="TtlNetNtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}AmountAndDirection35" minOccurs="0"/>
             <element name="FcstInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}TrueFalseIndicator" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}BankTransactionCodeStructure4"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CashBalanceAvailability2" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<CashBalanceAvailability2>`
`avlbty`
`protected BankTransactionCodeStructure4`
`bkTxCd`
`protected Boolean`
`fcstInd`
`protected String`
`nbOfNtries`
`protected BigDecimal`
`sum`
`protected AmountAndDirection35`
`ttlNetNtry`

## Constructor Summary

Constructors
Constructor
Description
`TotalsPerBankTransactionCode3()`

## Method Summary

Modifier and Type
Method
Description
`List<CashBalanceAvailability2>`
`getAvlbty()`
Gets the value of the avlbty property.
`BankTransactionCodeStructure4`
`getBkTxCd()`
Gets the value of the bkTxCd property.
`String`
`getNbOfNtries()`
Gets the value of the nbOfNtries property.
`BigDecimal`
`getSum()`
Gets the value of the sum property.
`AmountAndDirection35`
`getTtlNetNtry()`
Gets the value of the ttlNetNtry property.
`Boolean`
`isFcstInd()`
Gets the value of the fcstInd property.
`void`
`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
`setFcstInd(Boolean value)`
Sets the value of the fcstInd property.
`void`
`setNbOfNtries(String value)`
Sets the value of the nbOfNtries property.
`void`
`setSum(BigDecimal value)`
Sets the value of the sum property.
`void`
`setTtlNetNtry(AmountAndDirection35 value)`
Sets the value of the ttlNetNtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nbOfNtries

protected String nbOfNtries

### sum

protected BigDecimal sum

### ttlNetNtry

protected AmountAndDirection35 ttlNetNtry

### fcstInd

protected Boolean fcstInd

### bkTxCd

protected BankTransactionCodeStructure4 bkTxCd

### avlbty

protected List<CashBalanceAvailability2> avlbty

## Constructor Details

### TotalsPerBankTransactionCode3

public TotalsPerBankTransactionCode3()

## Method Details

### getNbOfNtries

public String getNbOfNtries()
Gets the value of the nbOfNtries property.

Returns:
  possible object is `String`

### setNbOfNtries

public void setNbOfNtries(String value)
Sets the value of the nbOfNtries property.

Parameters:
  `value` - allowed object is `String`

### getSum

public BigDecimal getSum()
Gets the value of the sum property.

Returns:
  possible object is `BigDecimal`

### setSum

public void setSum(BigDecimal value)
Sets the value of the sum property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getTtlNetNtry

public AmountAndDirection35 getTtlNetNtry()
Gets the value of the ttlNetNtry property.

Returns:
  possible object is `AmountAndDirection35`

### setTtlNetNtry

public void setTtlNetNtry(AmountAndDirection35 value)
Sets the value of the ttlNetNtry property.

Parameters:
  `value` - allowed object is `AmountAndDirection35`

### isFcstInd

public Boolean isFcstInd()
Gets the value of the fcstInd property.

Returns:
  possible object is `Boolean`

### setFcstInd

public void setFcstInd(Boolean value)
Sets the value of the fcstInd property.

Parameters:
  `value` - allowed object is `Boolean`

### getBkTxCd

public BankTransactionCodeStructure4 getBkTxCd()
Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

### setBkTxCd

public void setBkTxCd(BankTransactionCodeStructure4 value)
Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

### getAvlbty

public List<CashBalanceAvailability2> getAvlbty()
Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability2`